# Update folder

Update folder details including category or description.

Returns: `status` to indicate whether the request was completed.

{% code overflow="wrap" %}

```shellscript
POST /api/v1/product/update/{folderId}
```

{% endcode %}

### Path parameters

| Key           | Value                                                                                                                                                                                                                                                                                         |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `folderId` \* | <p>Folder <code>id</code> which can be found from <a data-mention href="/pages/UTyvyR7LrG1oH8JwjzAX">/pages/UTyvyR7LrG1oH8JwjzAX</a> or <a data-mention href="/pages/y7N9EfD0zFVQ8l1CDUxX">/pages/y7N9EfD0zFVQ8l1CDUxX</a>.<br>Example: <code>9efb97d3-59b5-4ab1-b138-525797d58a91</code></p> |

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client Credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.

### Request body <a href="#request-body" id="request-body"></a>

`Content-Type: application/json`

| Key                     | Value                                                                                                                                    |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| `category`              | Folder category. Must be a valid folder category. The category names are managed in [Options](/navigation/options.md#folder-categories). |
| `description`           | Folder description.                                                                                                                      |
| `shouldTrackUserAction` | `true`                                                                                                                                   |

### Sample request <a href="#request-body" id="request-body"></a>

The required request body should be in JSON format and should look similar to the following:

```json
{
    "category": "Critical Illness",
    "description": "CI",
    "shouldTrackUserAction": true
}
```

### Sample response

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "message": null,
    "data": null,
    "errorCode": null,
    "status": "Success"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherent.global/spark-apis/folder-apis/update-folder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
